Bug 738798 - deleting a large number of alerts via the Delete All button takes unacceptably long
deleting a large number of alerts via the Delete All button takes unacceptabl...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
high Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: rhq-perf rhq-gui-timeouts
  Show dependency treegraph
 
Reported: 2011-09-15 16:20 EDT by Ian Springer
Modified: 2013-08-05 20:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:26:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-09-15 16:20:29 EDT
Deleting 112,000 alerts took 70s.
Comment 1 Ian Springer 2011-09-21 08:46:28 EDT
We will address this by setting a larger timeout that is based on the number of alerts being deleted, e.g.:

int timeout = 10000 + numAlertsBeingDeleted;
Comment 2 Ian Springer 2011-10-11 16:36:53 EDT
[master a6320d5] (http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=a6320d5) uses the following formula to calculate the timeout used for each delete-all or acknowledge-all RPC call:

int rpcTimeout = 10000 + getListGrid().getTotalRows();
Comment 3 Mike Foley 2011-10-11 16:47:45 EDT
i am going to verify this on code review.
Comment 4 Mike Foley 2012-02-07 14:26:53 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.